#include<bits/stdc++.h>
typedef long long ll;
using namespace std;

vector<ll> dp(1e6);
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t;
    cin >> t;

    for(int i = 0;i < 10;i++) dp[i] = i;
    for(ll i = 10;i <= 1e6;i++){
        dp[i] = dp[i%10]*dp[i/10];
    }
    while(t--){
        ll N;
        cin >> N;
        ll br_raz = 0;
        vector<ll> pojavljivanje(1e6, 0);
        for(int i = 0;i < N;i++){
            if(pojavljivanje[dp[i]] == 0){
                br_raz+= 1;
                pojavljivanje[dp[i]] = 1;
            }
        }
        cout << br_raz << '\n';
    }
    return 0;
}